@use '@angular/material' as mat;

@include mat.form-field-density(-2);
@include mat.toolbar-density(-2);
@include mat.button-density(-1);

@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';
/* You can add global styles to this file, and also import other style files */

//@import "assets/themes/azure-blue.scss";

html, body {
  height: 100%;
}

body {
  margin: 0;
  background-color: #dae4ec;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

.mdc-notched-outline__notch {
  border-right-style: hidden;
}

.mat-mdc-input-element {
  --tw-ring-shadow: 0 0 #000 !important;
}

mat-icon {
  cursor: pointer;
}

//============ This is to hide the number input spinner in Chrome and Firefox ================//
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
